// FILENAME:	DM_chokepoint.cs
//
// Based on:      Battlefield Earth by Chupie Doll/Youth in Asia
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "DM_chokepoint";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to DM_chokepoint!  This map designed by ''|''mJ.  This and other maps are available at http://www6.50megs.com/temujin.  At this site you will also find Temujin's skin collections and training manual.");
}

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Watching", "Mechsoul"); 
}

function onMissionStart()
{
	temperateSounds();	
}

function GoingUp::trigger::onEnter(%this, %object) 
{
	setPosition(%object, 0, 0, 1000);
}